com.amazonaws.codegen.model.config.customization

## Class StringOverloadForInputStreamMember

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.StringOverloadForInputStreamMember

    public class StringOverloadForInputStreamMember
    extends Object

Basically a facade POJO over `ConvenienceTypeOverload` that hides (i.e. hard codes) some configuration options

### Constructor Summary

Constructors
Constructor and Description
`StringOverloadForInputStreamMember(String shapeName, String memberName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConvenienceTypeOverload` `getConvenienceTypeOverload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringOverloadForInputStreamMember

    public StringOverloadForInputStreamMember(String shapeName,
                                              String memberName)

### Method Detail

#### getConvenienceTypeOverload

    public ConvenienceTypeOverload getConvenienceTypeOverload()